OpenNMS API 1.2.9

## org.opennms.netmgt.poller.mock
Class MockInterval.Suspension

    java.lang.Object
      org.opennms.netmgt.poller.mock.MockInterval.Suspension

Enclosing class:
  MockInterval

class MockInterval.Suspension
extends java.lang.Object

Field Summary
`private long` `m_end`
`private long` `m_start`

Constructor Summary
`(package private)` `MockInterval.Suspension(long start, long end)`

Method Summary
`boolean` `contains(long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_start

    private long m_start

### m_end

    private long m_end

Constructor Detail

### MockInterval.Suspension

    MockInterval.Suspension(long start,
                            long end)

Method Detail

### contains

    public boolean contains(long time)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.